Entrypoint for the SG Tournament Server This will start the socket server and create some PubSub bindings

### Hierarchy

- default

## Index

### Constructors

- constructor

### Properties

- LobbyManager
- socketServer

## Constructors

### constructor

- new default(options: ITournamentServerOptions): default

- - Defined in TournamentServer.ts:21

  #### Parameters

  - ##### options: ITournamentServerOptions

  #### Returns default

## Properties

### Private LobbyManager

LobbyManager: LobbyManager

- Defined in TournamentServer.ts:19

### Private socketServer

socketServer: SocketServer

- Defined in TournamentServer.ts:18

Generated using TypeDoc